#!/bin/sh

VERSION=`grep CFBundleVersion -A 1 Info.plist | awk '/ing>(.*)<\/str/ { print substr($1,9,length($1)-17) }'`

echo "Building dist for version $VERSION"

DIR="../MathMap-Cocoa-Src-$VERSION"

rm -rf "$DIR"
mkdir "$DIR"

echo "Copying..."

cp -R * "$DIR"/

echo "Deleting superfluous files..."

find "$DIR" -name build -exec rm -rf {} ';'
find "$DIR" -name .svn -exec rm -rf {} ';'
find "$DIR" -name .hg -exec rm -rf {} ';'
find "$DIR" -name '*~' -exec rm -rf {} ';'
rm -rf "$DIR/Images"

echo "Building archive..."

tar -zcvf "$DIR.tar.gz" "$DIR"
rm -rf "$DIR"

echo "Done - dist is in $DIR.tar.gz"
